#
#------------------------------------------------------------------------------
#  Copyright (c) 1993-1995 European Synchrotron Radiation Facility
#
#  Permission to use, copy, modify, and distribute this software and its
#  documentation for any purpose and without fee is hereby granted, provided
#  that the "Terms and Conditions of Distribution", given in the documentation
#  to this software, are applicable and the above copyright message appears in
#  each copy.
#
#------------------------------------------------------------------------------
#
#
#  This file contains the Tcl startup script for the toplevel window of 
#  the application for demonstrating the use of the CTAXT interface
#
#  13.12.1993   hp      1st version
#




#
#  create and display the text widget
#

text .text -relief raised -bd 2
pack .text -side top -fill both -expand 1


#
#  insert the welcome text
#

.text insert end {
  Welcome to the sample application for demonstrating the CTAXT interface.
  This interface enables applications to combine the power of Tcl/Tk with
  arbitrary X11 toolkits into a single graphical user interface.

  This example should give you an idea of how to control Tk widgets with
  the non-Tk part of the application and vice versa. It also demonstrates
  the feature of having multiple Tk main windows within a single application.

  You will see two rectangular areas within two different Tk canvas widgets.
  Both can be dragged with mouse button one. In addition, the rectangle within
  the application main window reports the coordinates of its top left corner
  to the textfield at the bottom of this window. The other rectangle can be 
  centered within its canvas by pressing the button at the bottom of this 
  window.
}


#
#  prevent users from changing the text
#

.text configure -state disabled
